已解决:升级到Android Studio 3.1.2, 报错显示mips64el-linux-android-strip找不到

升级到Android Studio 3.1.2版本后,原有的NDK由r16升级到r17,因为 r17不再支持mips 导致ndk-bundle/toolchains/mips64el-linux-android-4.9/prebuilt/linux-x86_64/bin/mips64el-linux-android-strip 找不到, 导致编译报:Error:org.gradle.process.internal.ExecException: A problem occurred starting process 'command '...\ndk-bundle\toolchains\aarch64-linux-android-4.9\prebuilt\windows-x86_64\bin\aarch64-linux-android-strip''。

网上找到的解决办法是删掉NDK或者降级使用r16的NDK,这其实是治标不治本的,我的解决办法是在build.gradle脚本里排除mips:

android {
    defaultConfig {
        ndk {
            //支持的CPU架构,如armeabi、x86、mips等
            abiFilters "armeabi", "x86"
        }
    }
    packagingOptions {
        doNotStrip '*/mips/*.so'
        doNotStrip '*/mips64/*.so'
    }
}

参阅:https://stackoverflow.com/questions/42739916/aarch64-linux-android-strip-file-missing

I had the same problem using NDK version 17.0.4754217. You can workaround this issue by adding the following code in your gradle.build:

packagingOptions{
    doNotStrip '*/mips/*.so'
}
Or

packagingOptions{
    doNotStrip '*/mips/*.so'
    doNotStrip '*/mips64/*.so'
}
If you are using native code (C++), I recommend add the following code too:

ndk {
    abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86' // <- only the supported ones
}
To make sure you won't embed any MIPS binary.


  • 0
    点赞
  • 2
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值